/**
 * 云函数入口文件
 * 初始化数据库
 */
const cloud = require('wx-server-sdk');
const { MediaController, MediaOnceController, getArticleController, getScheduleController } = require("./controller/index");
cloud.init({
  env: 'serverless-env-7gkaeuji38488831'
})
// 云函数入口函数
exports.main = async (event, context) => {
  console.log(event)
  switch (event.type) {
    case "getMediaController": {
      delete event.type;
      return MediaController(event);
    }

    case "getMediaOnceController": {
      delete event.type
      return MediaOnceController(event)
    }

    case "getArticle": {
      delete event.type;
      return getArticleController(event)
    }

    case "getSchedule": {
      delete event.type
      return getScheduleController(event)
    }

    default: {
      return {}
    }
  }
}