// components/dayList/index.js
let urlList = [];
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    mediaList: {
      type: Array,
      observer: function (n) {
        if (!n.length) return;
        urlList = [];
        let y = -1;
        for (let i = 0; i < n.length; i++) {
          const v = n[i];
          for (let p = 0; p < v.child.length; p++) {
            const item = v.child[p];
            item.index = ++y;
            urlList.push({
              url: item.url,
              type: item.mediaType,
              poster: item.poster || "",
              title: item.title
            });
          }
        }
      }
    }
  },
  /**
   * 组件的初始数据
   */
  data: {
  },
  /**
   * 组件的方法列表
   */
  methods: {
    showMedia(e) {
      const indexs = e.currentTarget.dataset.index.split("-");
      const row = this.data.mediaList[indexs[0]];
      const item = row.child[indexs[1]];
      if (row.mediaType === 'image') {
        wx.previewMedia({
          sources: urlList,
          current: item.index
        })
        return
      }
      wx.navigateTo({
        url: "/pages/videoDetail/index?id=" + item.id + '&group=' + row.location
      })
    }
  }
})
