// pages/schedule/index.js
import { httpCloud } from "../../utils/httpFunc";
import { dateFormmat } from "../../utils/tool";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.setNavigationBarTitle({
      title: decodeURIComponent(options.title || "详情")
    })
    const _this = this;
    let ST = dateFormmat();
    let p = {};
    if(!options.noToday) p.start = ST.year + '-' + ST.month + '-' + ST.day + ' 00:00:00'
    httpCloud({
      name: "server",
      type: "getSchedule",
      data: p,
      call(res) {
        let list = [];
        const obj = {};
        (res || []).map(v => {
          let startTime = dateFormmat(v.startTime)
          let endTime = dateFormmat(v.endTime)
          v.startTime = startTime.year + '年' + startTime.month + '月' + startTime.day + '日';
          v.endTime = endTime.year + '年' + endTime.month + '月' + endTime.day + '日';
          if (!obj[v.startTime + v.location] && obj[v.startTime + v.location] !== 0) {
            obj[v.startTime + v.location] = list.length;
            list.push({
              date: v.startTime,
              location: v.location,
              child: [{
                content: startTime.hour + ':' + startTime.min + '-' + endTime.hour + ':' + endTime.min + ' ' + v.content
              }]
            })
          } else {
            list[obj[v.startTime + v.location]].child.push({
              content: startTime.hour + ':' + startTime.min + '-' + endTime.hour + ':' + endTime.min + ' ' + v.content
            })
          }
        })
        _this.setData({
          list
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})